Bug 328667 - can accept passwords which do not match
Summary: can accept passwords which do not match
Status: RESOLVED FIXED
Alias: None
Product: user-manager
Classification: Unclassified
Component: kcontrol module (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR major
Target Milestone: ---
Assignee: Alex Fiestas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-11 15:01 UTC by Jonathan Riddell
Modified: 2013-12-22 04:57 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Riddell 2013-12-11 15:01:04 UTC
The change password dialogue can select passwords which do not match

Reproducible: Always

Steps to Reproduce:
1. click on password text edit
2. a dialogue box pops up
3. enter password "asdf"
4. in verigy enter password "asdf"
5. in password add an extra "a"
6. in verify add an extra "q"
7. click ok
Actual Results:  
Some is accepted but I don't know what

Expected Results:  
The OK button can not be clicked on the dialogue
Comment 1 Alex Fiestas 2013-12-22 04:57:05 UTC
Git commit 4c7f397ca378a0f54ad6cc674228fa846c218dfe by Àlex Fiestas.
Committed on 22/12/2013 at 03:22.
Pushed by afiestas into branch 'master'.

Reset KDialog::Ok to false on each checkPassword

M  +1    -0    src/passworddialog.cpp

http://commits.kde.org/user-manager/4c7f397ca378a0f54ad6cc674228fa846c218dfe